import * as OpenApiV2 from '../../types/OpenApiV2';
declare type MappedOperation = {
    path: string;
    method: string;
    operationId: string;
    operation: OpenApiV2.OperationObject;
    parameters: OpenApiV2.Parameter[];
    responses: {
        statusCode: string;
        response: OpenApiV2.ResponseObject;
    }[];
};
export declare const mapOperations: (document: OpenApiV2.Document) => MappedOperation[];
export {};
